# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2019-02-13 15:15
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('branch', '0031_auto_20190131_1557'),
        ('trunk', '0051_merge_20190131_1705'),
    ]

    operations = [
        migrations.CreateModel(
            name='EventRSVP',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('affiliation', models.PositiveSmallIntegerField(choices=[(1, 'Student'), (2, 'Alumni'), (3, 'Faculty/Staff'), (4, 'Non-Affiliated')], null=True)),
                ('affiliated_with', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='guestrsvp',
            name='affiliated_with',
        ),
        migrations.RemoveField(
            model_name='guestrsvp',
            name='affiliation',
        ),
        migrations.AddField(
            model_name='eventrsvp',
            name='guest',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='trunk.GuestRSVP'),
        ),
        migrations.AddField(
            model_name='eventrsvp',
            name='member',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='branch.StartupMember'),
        ),
        migrations.AddField(
            model_name='eventrsvp',
            name='rsvp_event',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='trunk.Event'),
        ),
    ]
